> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Catalog Item Source Update



## OpenAPI

````yaml /openapi.json delete /v1/workspaces/{workspaceId}/catalog-item-sources/{id}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-item-sources/{id}:
    delete:
      tags:
        - Catalog Item Source Update
      summary: Delete Catalog Item Source Update
      operationId: CatalogItemSourceUpdateController_delete_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmReleaseDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogItemSourceResponseDto'
components:
  schemas:
    ConfirmReleaseDto:
      type: object
      properties:
        confirmRelease:
          type: boolean
        version:
          type: integer
          minimum: 1
          maximum: 9007199254740991
      default: {}
      additionalProperties: false
    CatalogItemSourceResponseDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        familySourceId:
          type: string
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - itemId
        - familySourceId
        - columnsAttributes
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds

````